For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • GETGet secrets
            • POSTCreate secret
            • GETGet secret
            • PATCHUpdate secret
            • DELDelete secret
            • GETGet secret dependencies
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceWorkspaceSecrets

Get secrets

GET
/v1/convai/secrets
GET
/v1/convai/secrets
$curl https://api.elevenlabs.io/v1/convai/secrets
1{
2 "secrets": [
3 {
4 "type": "string",
5 "secret_id": "string",
6 "name": "string",
7 "used_by": {
8 "tools": [
9 {
10 "type": "available",
11 "access_level": "admin",
12 "created_at_unix_secs": 1,
13 "id": "string",
14 "name": "string"
15 }
16 ],
17 "agents": [
18 {
19 "type": "available",
20 "access_level": "admin",
21 "created_at_unix_secs": 1,
22 "id": "string",
23 "name": "string",
24 "referenced_resource_ids": [
25 "string"
26 ]
27 }
28 ],
29 "others": [
30 "conversation_initiation_webhook"
31 ],
32 "tools_has_more": false,
33 "agents_has_more": false,
34 "phone_numbers": [
35 {
36 "phone_number_id": "string",
37 "phone_number": "string",
38 "label": "string",
39 "provider": "twilio"
40 }
41 ],
42 "phone_numbers_has_more": false,
43 "mcp_servers": [
44 {
45 "type": "available",
46 "access_level": "admin",
47 "created_at_unix_secs": 1,
48 "id": "string",
49 "name": "string"
50 }
51 ]
52 }
53 }
54 ],
55 "next_cursor": "string"
56}
Get all workspace secrets for the user
Was this page helpful?
Previous

Create secret

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

page_sizeinteger or nullOptional1-100
How many documents to return at maximum. Can not exceed 100. If not provided, returns all secrets.
dependency_limitinteger or nullOptional1-100

Maximum number of dependent resources (tools, agents, phone numbers) to return per secret. Can not exceed 100.

searchstring or nullOptional
If specified, returns only secrets whose names start with this string.
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
secretslist of objects
next_cursorstring or null
Cursor for fetching the next page of secrets

Errors

422
Unprocessable Entity Error